Page MenuHomeFreeBSD

Deprecate telnetd
ClosedPublic

Authored by brooks on Sep 18 2022, 8:08 AM.
Tags
None
Referenced Files
Unknown Object (File)
Sat, May 4, 11:08 AM
Unknown Object (File)
Sun, Apr 28, 6:22 PM
Unknown Object (File)
Mon, Apr 22, 9:18 AM
Unknown Object (File)
Sun, Apr 21, 11:41 AM
Unknown Object (File)
Apr 14 2024, 7:27 AM
Unknown Object (File)
Apr 11 2024, 9:34 AM
Unknown Object (File)
Apr 11 2024, 9:32 AM
Unknown Object (File)
Apr 11 2024, 9:32 AM

Details

Summary

The telnetd codebase is old, unmaintained, and has a number of quality
issues. Users wishing to provide telnetd service should find a
maintained implementation. The telnet client is NOT deprecated as it is
lower risk

MFC After: 3 days

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision is now accepted and ready to land.Sep 18 2022, 8:12 AM

IAC GA.

contrib/telnet/telnetd/telnetd.8
52

Fixable on commit.

Bump doc date, use .Fx macro

This revision now requires review to proceed.Sep 18 2022, 10:16 AM
This revision is now accepted and ready to land.Sep 18 2022, 12:38 PM
This revision was automatically updated to reflect the committed changes.